# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(FindBin.pm) perl(Module/Build.pm) perl(Pod/Text.pm) perl(RT.pm) perl(Test/More.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define module_version 0.05
%define module_name RT-Extension-QuickDelete
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Adds a "quick delete" button to RT's standard ticket search interface
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/F/FA/FALCONE/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
perl Makefile.PL
 make install
 make initdb

 Add RT::Extension::QuickDelete to your existin @Plugins line, or create a new @Plugins line:

 Set(@Plugins, qw(RT::Extension::QuickDelete));

 # If you're using RT 3.6.0 or RT 3.6.1, copy etc/3.6.1/ShowSearch to /opt/rt3/share/html/Elements/ShowSearch
 # (This changed file is already included in RT 3.6.2)
 
 # Update your default RT search results format to include favorites link by adding this to your RT_SiteConfig.pm:

 Set ($DefaultSearchResultFormat, qq{
   '<B><A HREF="$RT::WebPath/Ticket/Display.html?id=__id__">__id__</a></B>/TITLE:#',
   '<B><A HREF="$RT::WebPath/Ticket/Display.html?id=__id__">__Subject__</a></B>/TITLE:Subject',
   Status,
   QueueName,
   OwnerName,
   Priority,
   QuickDelete,
   '__NEWLINE__',
   '',
   '<small>__Requestors__</small>',
   '<small>__CreatedRelative__</small>',
   '<small>__ToldRelative__</small>',
   '<small>__LastUpdatedRelative__</small>',
   '<small>__TimeLeft__</small>',
   '__BLANK__/TITLE:NBSP'});

On RT 4, this extension will not provide a Quick Delete link from the Ticket Display pages.  You can add one
using the Lifecycles functionality.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/R*

%changelog
* Wed Sep 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

